from setuptools import setup, find_packages

with open('requirements.txt') as f:
    requirements = f.readlines()

long_description = 'Generate course certificates and\
      keep track of them using Google Spreadsheets API.'

setup(
    name='course-certification',
    version='1.0.0',
    author='CloudxLab',
    author_email='karthik@cloudxlab.com',
    url='https://github.com/karthikpawar/certification',
    description='Generate course certificates from Google Spreadsheets',
    long_description=long_description,
    long_description_content_type="text/markdown",
    license='MIT',
    packages=find_packages(),
    entry_points={
        'console_scripts': [
            'certificate_generator = certification.certificate_generator'
        ]
    },
    classifiers=[
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        "Programming Language :: Python :: 3.6",
        "License :: OSI Approved :: MIT License",
    ],
    keywords='Certificate generation',
    install_requires=requirements,
    zip_safe=False
)